Skip to main content

Configurable upgrade message for visitors using a outdated browser

Project description

Introduction

raptus.browsermessage provides a configlet to select browsers for which a upgrade message shall be displayed. It also lets you choose which browsers to suggest to visitors using one of the selected browsers.

The following browser/engine/version/platform combinations are currently selectable:

  • WebKit
  • Opera
  • Chrome
  • Safari
  • Safari 3
  • Safari 4
  • IE
  • IE 7
  • IE 8
  • IE 6
  • Gecko
  • Gecko 2
  • Gecko 3
  • Firefox
  • Firefox 1
  • Firefox 2
  • Firefox 3
  • Safari on Mac
  • Safari on Win
  • Gecko on Mac
  • Gecko on Linux
  • Gecko on Win
  • Firefox on Mac
  • Firefox on Linux
  • Firefox on Win
  • Opera on Mac
  • Opera on Linux
  • Opera on Win
  • Chrome on Mac
  • Chrome on Linux
  • Chrome on Win

And the following browsers may be suggested:

  • Firefox
  • Chrome
  • Safari
  • Opera

Changelog

0.1 - Unreleased

  • Initial release

Project details


Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Filename, size & hash SHA256 hash help File type Python version Upload date
raptus.browsermessage-0.1.tar.gz (220.5 kB) Copy SHA256 hash SHA256 Source None Oct 30, 2009

Supported by

Elastic Elastic Search Pingdom Pingdom Monitoring Google Google BigQuery Sentry Sentry Error logging AWS AWS Cloud computing DataDog DataDog Monitoring Fastly Fastly CDN DigiCert DigiCert EV certificate StatusPage StatusPage Status page